    Program x04acfe

!     X04ACF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x04acf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: iounit = 4, nout = 6
      Character (*), Parameter         :: file = 'x04acfe_success.res'
!     .. Local Scalars ..
      Integer                          :: ifail, mode
!     .. Executable Statements ..
      Write (nout,*) 'X04ACF Example Program Results'

!     Test successful open for write

      mode = 1

      ifail = 0
      Call x04acf(iounit,file,mode,ifail)

      Write (nout,99999)
      Write (iounit,99999)

99999 Format (' OK file successfully opened for writing')
    End Program x04acfe
